package com.wasu.cs.model;

import java.util.List;

/**
 * Created by chenming on 2016/11/23.
 *
 * @Description: 新版少儿推荐资产model
 * @email chenming@wasu.com
 */

public class ChildrenRecommendModel extends Model {


	/**
	 * code : 200
	 * data : {"list":[{"catId":220146,"id":458647,"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=458647","layout":"Detail_Movie","picUrl":"http://s.cms.wasu.tv/wsimage/2015/9/2/647/647/2015090216212458094f4bca2.jpg","title":"小战象2"},{"catId":220146,"id":467583,"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=467583","layout":"Detail_Movie","picUrl":"http://s.cms.wasu.tv/wsimage/2015/8/13/583/583/20150813043607598.jpg","title":"盗梦怪事件"},{"catId":220146,"id":483275,"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=483275","layout":"Detail_Movie","picUrl":"http://s.cms.wasu.tv/wsimage/2015/8/13/275/275/20150813045438388.jpg","title":"葫芦兄弟"},{"catId":220146,"id":496757,"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=496757","layout":"Detail_Movie","picUrl":"http://s.cms.wasu.tv/wsimage/2015/8/13/757/757/20150813060045270.jpg","title":"马达加斯加"},{"catId":220146,"id":502442,"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=502442","layout":"Detail_Movie","picUrl":"http://s.cms.wasu.tv/wsimage/2015/8/13/442/442/20150813040108893.jpg","title":"里约大冒险"},{"catId":220146,"id":533259,"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=533259","layout":"Detail_Movie","picUrl":"http://s.cms.wasu.tv/wsimage/2015/8/13/259/259/2015081306065544.jpg","title":"公主和青蛙"},{"catId":0,"id":0,"jsonUrl":"https://topic.cs.wasu.tv/bweg/?siteId=2002&jsonUrl=s%3D2002%26p%3DsjctBwerge%26k%3D1%26v%3D3%26type%3D4%26subjectId%3D16","layout":"Link","picUrl":"","title":"贝瓦儿歌"}]}
	 * message : 请求成功
	 */

	private int code;
	private DataBean data;
	private String message;

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public DataBean getData() {
		return data;
	}

	public void setData(DataBean data) {
		this.data = data;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public static class DataBean {
		private List<Cat> list;

		public List<Cat> getList() {
			return list;
		}

		public void setList(List<Cat> list) {
			this.list = list;
		}

		public static class Cat {
			/**
			 * catId : 220146
			 * id : 458647
			 * jsonUrl : http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220146&assetId=458647
			 * layout : Detail_Movie
			 * picUrl : http://s.cms.wasu.tv/wsimage/2015/9/2/647/647/2015090216212458094f4bca2.jpg
			 * title : 小战象2
			 */

			private int catId;
			private int id;
			private String jsonUrl;
			private String layout;
			private String picUrl;
			private String title;

			public Cat(String jsonUrl, String layout) {
				this.jsonUrl = jsonUrl;
				this.layout = layout;
			}

			public Cat(String title, String jsonUrl, String picUrl,  String layout) {
				this.title = title;
				this.jsonUrl = jsonUrl;
				this.picUrl = picUrl;
				this.layout = layout;
			}

			public int getCatId() {
				return catId;
			}

			public void setCatId(int catId) {
				this.catId = catId;
			}

			public int getId() {
				return id;
			}

			public void setId(int id) {
				this.id = id;
			}

			public String getJsonUrl() {
				return jsonUrl;
			}

			public void setJsonUrl(String jsonUrl) {
				this.jsonUrl = jsonUrl;
			}

			public String getLayout() {
				return layout;
			}

			public void setLayout(String layout) {
				this.layout = layout;
			}

			public String getPicUrl() {
				return picUrl;
			}

			public void setPicUrl(String picUrl) {
				this.picUrl = picUrl;
			}

			public String getTitle() {
				return title;
			}

			public void setTitle(String title) {
				this.title = title;
			}
		}
	}
}
